package cn.muchinfo.rma.global.data.chart

/**
 * 历史数据
 */
data class HistoryDatas(
    val c: String? = "", // 收盘价
    val f: String? = "", // 是否补充数据
    val h: String? = "", // 最高价
    val hv: String? = "",// 持仓量
    val l: String? = "",//  最低价
    val o: String? = "",//  开盘价
    val s: String? = "",//  结算价，日线周期（包括）以上才有
    val ts: String? = "",// 时间
    val tt: String? = "",// 总金额
    val tv: String? = ""// 总量
) {
    fun getClosePrice(): String = c.toString().trim()
    fun getIsSupplementaryData(): Boolean = f.equals("true")
    fun getHighestPrice(): String = h.toString().trim()
    fun getHolderPrice(): String = hv.toString().trim()
    fun getLowestPrice(): String = l.toString().trim()
    fun getOpeningPrice(): String = o.toString().trim()
    fun getSettlementPrice(): String = s.toString().trim()
    fun getTime(): String = ts.toString()
    fun getTotalAmount(): String = tt.toString()
    fun getTotal(): String = tt.toString()
}